2020-11-26 01:00 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002750NetSurf[All Projects] Generalpublic2020-09-18 09:38
ReporterAlan 
Assigned To 
SeverityblockReproducibilityalways 
StatusclosedResolutionopen 
Platformx86_64OSUbuntuOS Version19.10
Product Version3.9 
Target VersionFixed in Version 
Summary0002750: Framebuffer version of netsurf won't start
DescriptionI'm having problems with the framebuffer target. They begin to execute but I never land in the browser.

The output is the same whether running as user, sudo user, or root. However, there is a difference in that in a tty the output hangs at the last line of the output pasted below while in a terminal emulator the output continues indefinitely.
Steps To ReproduceI built netsurf by following the build steps exactly as per the recommended steps at http://source.netsurf-browser.org/netsurf.git/plain/docs/quick-start.md then ran the nsfb binary.
Additional InformationTTY:
[code]
alazy@netbook: ~/dev-netsurf/workspace/netsurf $ ./nsfb -v
(0.000001) [INFO netsurf] utils/log.c:268 nslog_init: NetSurf version '3.10 (Dev)'
(0.000130) [INFO netsurf] utils/log.c:273 nslog_init: NetSurf on <Linux>, node <AO725>, release <5.3.0-40-generic>, version <#32-Ubuntu SMP Fri Jan 31 20:24:34 UTC 2020>, machine <x86_64>
(0.000466) [INFO netsurf] utils/messages.c:183 messages_add_from_file: Loading Messages from '/home/alan/dev-netsurf/workspace/netsurf/frontends/framebuffer/res/en/Messages'
(0.001983) [INFO netsurf] content/handlers/image/image_cache.c:429 image_cache_init: Image cache initialised with a limit of 3145728 hysteresis of 629145
(0.002054) [INFO netsurf] content/handlers/html/html_css_fetcher.c:70 html_css_fetcher_initialise: html_css_fetcher_initialise called for x-ns-css
(0.002463) [INFO netsurf] content/fetchers/curl.c:1686 fetch_curl_register: curl_version libcurl/7.65.3 OpenSSL/1.1.1c zlib/1.2.11 libidn2/2.2.0 libpsl/0.20.2 (+libidn2/2.0.5) libssh/0.9.0/openssl/zlib nghttp2/1.39.2 librtmp/2.3
(0.008566) [INFO netsurf] utils/useragent.c:68 user_agent_build_string: Built user agent "NetSurf/3.10 (Linux)"
(0.008612) [INFO netsurf] content/fetchers/curl.c:1787 fetch_curl_register: cURL linked against openssl
(0.008665) [INFO netsurf] content/fetchers/curl.c:283 fetch_curl_initialise: Initialise cURL fetcher for http
(0.008683) [INFO netsurf] content/fetchers/curl.c:283 fetch_curl_initialise: Initialise cURL fetcher for https
(0.008697) [INFO netsurf] content/fetchers/data.c:61 fetch_data_initialise: fetch_data_initialise called for data
(0.008921) [INFO netsurf] content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for adblock.css
(0.009097) [INFO netsurf] content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for default.css
(0.009260) [INFO netsurf] content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for internal.css
(0.009419) [INFO netsurf] content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for quirks.css
(0.009657) [INFO netsurf] content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for credits.html
(0.009762) [INFO netsurf] content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for licence.html
(0.009866) [INFO netsurf] content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for welcome.html
(0.010024) [INFO netsurf] content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for favicon.ico
(0.010309) [INFO netsurf] content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for netsurf.png
(0.011321) [INFO llcache] content/llcache.c:3756 llcache_initialise: llcache initialising with a limit of 9437184 bytes
(0.011373) [INFO netsurf] frontends/framebuffer/gui.c:485 process_cmdline: argc 1, argv 0x7ffc55e12d68
(0.011667) [INFO netsurf] frontends/framebuffer/gui.c:2257 main: calling browser_window_create
(0.022444) [INFO netsurf] frontends/framebuffer/gui.c:1650 create_normal_browser_window: Normal window
(0.022511) [INFO netsurf] frontends/framebuffer/gui.c:1253 create_toolbar: Using toolbar layout blfsrutc
(0.022527) [INFO netsurf] frontends/framebuffer/gui.c:1287 create_toolbar: toolbar adding b
(0.022542) [INFO netsurf] frontends/framebuffer/gui.c:1440 create_toolbar: xpos is 26
(0.022554) [INFO netsurf] frontends/framebuffer/gui.c:1287 create_toolbar: toolbar adding l
(0.022566) [INFO netsurf] frontends/framebuffer/gui.c:1440 create_toolbar: xpos is 54
(0.022578) [INFO netsurf] frontends/framebuffer/gui.c:1287 create_toolbar: toolbar adding f
(0.022589) [INFO netsurf] frontends/framebuffer/gui.c:1440 create_toolbar: xpos is 78
(0.022600) [INFO netsurf] frontends/framebuffer/gui.c:1287 create_toolbar: toolbar adding s
(0.022612) [INFO netsurf] frontends/framebuffer/gui.c:1440 create_toolbar: xpos is 106
(0.022623) [INFO netsurf] frontends/framebuffer/gui.c:1287 create_toolbar: toolbar adding r
(0.022634) [INFO netsurf] frontends/framebuffer/gui.c:1440 create_toolbar: xpos is 132
(0.022645) [INFO netsurf] frontends/framebuffer/gui.c:1287 create_toolbar: toolbar adding u
(0.022655) [INFO netsurf] frontends/framebuffer/gui.c:1440 create_toolbar: xpos is 798
(0.022666) [INFO netsurf] frontends/framebuffer/gui.c:1287 create_toolbar: toolbar adding c
(0.022677) [INFO netsurf] frontends/framebuffer/gui.c:1440 create_toolbar: xpos is 770
(0.022687) [INFO netsurf] frontends/framebuffer/gui.c:1287 create_toolbar: toolbar adding t
(0.022710) [INFO netsurf] frontends/framebuffer/gui.c:1440 create_toolbar: xpos is 744
(0.022721) [INFO netsurf] frontends/framebuffer/gui.c:1287 create_toolbar: toolbar adding u
(0.022733) [INFO netsurf] frontends/framebuffer/gui.c:1440 create_toolbar: xpos is 744
(0.022744) [INFO netsurf] frontends/framebuffer/fbtk/fbtk.c:129 fbtk_set_mapping: setting mapping on 0x55ceb7838940 to 1
(0.022759) [INFO netsurf] frontends/framebuffer/gui.c:1681 create_normal_browser_window: status bar 0x55ceb7839630 at 0,582
(0.022779) [INFO netsurf] frontends/framebuffer/fbtk/fbtk.c:129 fbtk_set_mapping: setting mapping on 0x55ceb78387d0 to 1
(0.022794) [INFO netsurf] desktop/browser_window.c:3225 browser_window_navigate: bw 0x55ceb779ee70, url about:welcome
(0.022819) [INFO netsurf] desktop/browser_window.c:3430 navigate_internal_real: Loading 'about:welcome'
(0.023543) [INFO netsurf] frontends/framebuffer/fbtk/scroll.c:337 hscroll_redraw: hscroll 209
(0.053321) [INFO netsurf] frontends/framebuffer/fetch.c:68 fetch_filetype: unix path /home/alan/dev-netsurf/workspace/netsurf/resources/en/welcome.html
(0.053573) [INFO netsurf] content/content.c:78 content__init: url file:///home/alan/dev-netsurf/workspace/netsurf/resources/en/welcome.html -> 0x55ceb7843c60
(0.053996) [INFO netsurf] content/handlers/html/html_css.c:595 html_css_new_stylesheets: 2 fetches active
(0.054026) [INFO netsurf] content/handlers/html/html_css.c:622 html_css_new_stylesheets: 3 fetches active
(0.054041) [INFO netsurf] content/content.c:737 content_add_user: content file:///home/alan/dev-netsurf/workspace/netsurf/resources/en/welcome.html (0x55ceb7843c60), user 0x55ceb66e8850 0x55ceb78303d0
(0.056542) [INFO netsurf] content/content.c:283 content_convert: content file:///home/alan/dev-netsurf/workspace/netsurf/resources/en/welcome.html (0x55ceb7843c60)
(0.056591) [INFO netsurf] content/handlers/html/html.c:1419 html_convert: quirks set to 0
(0.056604) [INFO netsurf] content/handlers/html/html.c:1423 html_convert: 2 fetches active (0x55ceb7843c60)
(0.056731) [INFO netsurf] content/handlers/html/html_css.c:193 html_stylesheet_from_domnode: 3 fetches active
(0.056748) [INFO netsurf] content/handlers/html/html_css.c:271 html_css_process_modified_style: Updating sheet (nil) with 0x55ceb7868930
(0.066856) [INFO netsurf] content/handlers/html/html_css.c:118 html_convert_css_callback: stylesheet resource:user.css failed: UnacceptableType
(0.066876) [INFO netsurf] content/handlers/html/html_css.c:125 html_convert_css_callback: 2 fetches active
(0.066913) [INFO netsurf] content/content.c:78 content__init: url x-ns-css:0 -> 0x55ceb7869830
(0.067411) [INFO netsurf] content/content.c:737 content_add_user: content x-ns-css:0 (0x55ceb7869830), user 0x55ceb66e8850 0x55ceb7868930
(0.068552) [INFO netsurf] content/content.c:283 content_convert: content x-ns-css:0 (0x55ceb7869830)
(0.068606) [INFO netsurf] content/handlers/html/html_css.c:111 html_convert_css_callback: done stylesheet slot 4 'x-ns-css:0'
(0.068621) [INFO netsurf] content/handlers/html/html_css.c:114 html_convert_css_callback: 1 fetches active
(0.076942) [INFO netsurf] frontends/framebuffer/fetch.c:68 fetch_filetype: unix path /home/alan/dev-netsurf/workspace/netsurf/resources/default.css
(0.077175) [INFO netsurf] content/content.c:78 content__init: url file:///home/alan/dev-netsurf/workspace/netsurf/resources/default.css -> 0x55ceb7873180
(0.077256) [INFO netsurf] content/content.c:737 content_add_user: content file:///home/alan/dev-netsurf/workspace/netsurf/resources/default.css (0x55ceb7873180), user 0x55ceb66e8850 0x55ceb7857830
(0.080211) [INFO netsurf] content/content.c:283 content_convert: content file:///home/alan/dev-netsurf/workspace/netsurf/resources/default.css (0x55ceb7873180)
(0.080275) [INFO netsurf] content/handlers/html/html_css.c:111 html_convert_css_callback: done stylesheet slot 0 'file:///home/alan/dev-netsurf/workspace/netsurf/resources/default.css'
(0.080291) [INFO netsurf] content/handlers/html/html_css.c:114 html_convert_css_callback: 0 fetches active
(0.080303) [INFO netsurf] content/handlers/html/html.c:1479 html_begin_conversion: Completing parse (0x55ceb7843c60)
(0.080499) [INFO netsurf] content/handlers/html/html.c:765 html_finish_conversion: DOM to box (0x55ceb7843c60)
(0.081068) [INFO netsurf] content/handlers/html/html_object.c:724 html_fetch_object: 1 fetches active
(0.084275) [INFO netsurf] content/handlers/html/html.c:215 html_box_convert_done: Done XML to box (0x55ceb7843c60)
(0.085025) [INFO netsurf] frontends/framebuffer/bitmap.c:54 bitmap_create: width 108, height 93, state 5
(0.085095) [INFO netsurf] frontends/framebuffer/bitmap.c:73 bitmap_create: bitmap 0x55ceb7850020
(0.085112) [INFO netsurf] frontends/framebuffer/bitmap.c:286 bitmap_render: width 108, height 93
(0.085169) [INFO netsurf] content/content.c:668 content_scaled_redraw: Content 0x55ceb7843c60 782x673 ctx:0x7ffc55e126f0
(0.091863) [INFO netsurf] content/content.c:902 content_open: content 0x55ceb7843c60 file:///home/alan/dev-netsurf/workspace/netsurf/resources/en/welcome.html
(0.092025) [INFO netsurf] frontends/framebuffer/fbtk/scroll.c:337 hscroll_redraw: hscroll 209
(0.095442) [INFO netsurf] frontends/framebuffer/fetch.c:68 fetch_filetype: unix path /home/alan/dev-netsurf/workspace/netsurf/resources/netsurf.png
(0.095791) [INFO netsurf] content/content.c:78 content__init: url file:///home/alan/dev-netsurf/workspace/netsurf/resources/netsurf.png -> 0x55ceb784e870
(0.095848) [INFO netsurf] content/content.c:737 content_add_user: content file:///home/alan/dev-netsurf/workspace/netsurf/resources/netsurf.png (0x55ceb784e870), user 0x55ceb66e8850 0x55ceb7848f90
(0.095910) [INFO netsurf] content/content.c:283 content_convert: content file:///home/alan/dev-netsurf/workspace/netsurf/resources/netsurf.png (0x55ceb784e870)
(0.095943) [INFO netsurf] content/handlers/image/image_cache.c:534 image_cache_add: centry 0x55ceb78505e0, content 0x55ceb784e870, bitmap (nil)
(0.115836) [INFO netsurf] content/content.c:737 content_add_user: content file:///home/alan/dev-netsurf/workspace/netsurf/resources/netsurf.png (0x55ceb784e870), user 0x55ceb66e8850 0x55ceb7876d40
(0.115858) [INFO netsurf] content/content.c:902 content_open: content 0x55ceb784e870 file:///home/alan/dev-netsurf/workspace/netsurf/resources/netsurf.png
(0.115872) [INFO netsurf] content/handlers/html/html_object.c:173 html_object_callback: 0 fetches active
(0.116411) [INFO netsurf] desktop/browser_window.c:601 browser_window_update_favicon: fetching general favicon from 'resource:favicon.ico'
(0.116452) [INFO netsurf] desktop/browser_history.c:450 browser_window_history_update: Updating history entry for Welcome to NetSurf
(0.116468) [INFO netsurf] frontends/framebuffer/bitmap.c:286 bitmap_render: width 108, height 93
(0.116563) [INFO netsurf] content/content.c:668 content_scaled_redraw: Content 0x55ceb7843c60 782x673 ctx:0x7ffc55e127b0
(0.116660) [INFO netsurf] frontends/framebuffer/bitmap.c:54 bitmap_create: width 308, height 86, state 0
(0.116694) [INFO netsurf] frontends/framebuffer/bitmap.c:73 bitmap_create: bitmap 0x55ceb784f0a0
(0.125814) [INFO netsurf] desktop/browser_history.c:474 browser_window_history_update: Updated scroll offsets to 0 by 0
(0.126074) [INFO netsurf] frontends/framebuffer/fbtk/scroll.c:337 hscroll_redraw: hscroll 209
(0.139810) [INFO netsurf] frontends/framebuffer/fetch.c:68 fetch_filetype: unix path /home/alan/dev-netsurf/workspace/netsurf/resources/favicon.png
(0.140020) [INFO netsurf] content/content.c:78 content__init: url file:///home/alan/dev-netsurf/workspace/netsurf/resources/favicon.png -> 0x55ceb7845380
(0.140063) [INFO netsurf] content/content.c:737 content_add_user: content file:///home/alan/dev-netsurf/workspace/netsurf/resources/favicon.png (0x55ceb7845380), user 0x55ceb66e8850 0x55ceb784eca0
(0.140103) [INFO netsurf] frontends/framebuffer/bitmap.c:54 bitmap_create: width 17, height 17, state 0
(0.140128) [INFO netsurf] frontends/framebuffer/bitmap.c:73 bitmap_create: bitmap 0x55ceb78460f0
(0.140157) [INFO netsurf] content/handlers/image/png.c:178 info_callback: size 17 * 17, rowbytes 68
(0.140305) [INFO netsurf] content/content.c:283 content_convert: content file:///home/alan/dev-netsurf/workspace/netsurf/resources/favicon.png (0x55ceb7845380)
(0.140336) [INFO netsurf] frontends/framebuffer/bitmap.c:201 bitmap_test_opaque: bitmap 0x55ceb78460f0 has transparency
(0.140354) [INFO netsurf] content/handlers/image/image_cache.c:534 image_cache_add: centry 0x55ceb7845ae0, content 0x55ceb7845380, bitmap 0x55ceb78460f0
[/code]
Execution simply hangs at the last line above.

Terminal Emulator:
See attached file nsfb_netbook_termem for the first 5 seconds of output. It continues spamming basically the same output indefinitely.
TagsNo tags attached.
Fixed in CI build #5199
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0002291

Vincent Sanders (administrator)

Thank you for the report.

I have improved the documentation which should help to resolve your issues

the CI render of the documentation should appear here:
 
https://ci.netsurf-browser.org/jenkins/view/Categorized/job/docs-netsurf/doxygen/md_docs_using-framebuffer.html
+Notes

-Issue History
Date Modified Username Field Change
2020-04-18 22:28 Alan New Issue
2020-04-18 22:28 Alan File Added: nsfb_netbook_termem
2020-09-18 09:38 Vincent Sanders Status new => closed
2020-09-18 09:38 Vincent Sanders Fixed in CI build # => 5199
2020-09-18 09:38 Vincent Sanders Note Added: 0002291
+Issue History